Bug 232491 - A mask or isolation should set transform-style to flat
Summary: A mask or isolation should set transform-style to flat
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords: InRadar
Depends on:
Blocks: 218369
  Show dependency treegraph
 
Reported: 2021-10-29 10:10 PDT by Martin Robinson
Modified: 2021-11-09 00:05 PST (History)
4 users (show)

See Also:


Attachments
Patch (3.47 KB, patch)
2021-10-29 10:25 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (6.84 KB, patch)
2021-11-01 06:11 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (6.87 KB, patch)
2021-11-01 08:39 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2021-10-29 10:10:39 PDT
This behavior is described by the CSS Transforms Modules Level 2 specification: https://drafts.csswg.org/css-transforms-2/#grouping-property-values
Comment 1 Martin Robinson 2021-10-29 10:25:36 PDT
Created attachment 442838 [details]
Patch
Comment 2 Cameron McCormack (:heycam) 2021-10-29 14:54:05 PDT
Comment on attachment 442838 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=442838&action=review

Can we have a non-WPT test for our non-standard -webkit-mask-box-image-source causing `transform-style: flat`? (I know we don't implement the standard mask-border properties, and I see that they are almost completely untested in WPT.)

Patch looks good otherwise, so a non-reviewer r=me with that. (Not sure if those test failures are real?)

> Source/WebCore/ChangeLog:12
> +        and `isolation: isolate` all force used style of preserve-3d: flat.

Nit: `` around `preserve-3d: flat`, to be consistent with the rest of the sentence.
Comment 3 Martin Robinson 2021-11-01 06:11:13 PDT
Created attachment 442972 [details]
Patch
Comment 4 Martin Robinson 2021-11-01 06:40:39 PDT
(In reply to Cameron McCormack (:heycam) from comment #2)
> Comment on attachment 442838 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=442838&action=review

Thanks for the review!

> 
> Can we have a non-WPT test for our non-standard
> -webkit-mask-box-image-source causing `transform-style: flat`? (I know we
> don't implement the standard mask-border properties, and I see that they are
> almost completely untested in WPT.)

I've added a test for this.


> > Source/WebCore/ChangeLog:12
> > +        and `isolation: isolate` all force used style of preserve-3d: flat.
> 
> Nit: `` around `preserve-3d: flat`, to be consistent with the rest of the
> sentence.

Fixed.
Comment 5 Martin Robinson 2021-11-01 08:39:14 PDT
Created attachment 442980 [details]
Patch
Comment 6 Radar WebKit Bug Importer 2021-11-05 10:11:19 PDT
<rdar://problem/85075461>
Comment 7 EWS 2021-11-09 00:05:46 PST
Committed r285482 (244006@main): <https://commits.webkit.org/244006@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 442980 [details].